Bug 849820 - Remove proof of concept packagekit git install code
Remove proof of concept packagekit git install code
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
2.x
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: John (J5) Palmieri
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-20 23:36 EDT by Rony Gong
Modified: 2015-05-14 22:03 EDT (History)
1 user (show)

See Also:
Fixed In Version: fork_ami_US2597_US2599_US2813_US2817_US2872_US2816_US2814_213
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-06 13:48:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rony Gong 2012-08-20 23:36:46 EDT
Description of problem:
the sentence in rhc setup:
"Would you like to install git with the system installer? (yes/no) yes
You may safely continue while the installer is running or you can wait until it has finished.  Press any key to continue:"

would confuse user, if user select yes, rhc will let user waiting(if type no keyboard) and user think rhc is help installing git tool. but it doesn't install the git actually.


Version-Release number of selected component (if applicable):
rhc-0.97.13

How reproducible:
always


Steps to Reproduce:
1.Uninstall git.
2.Install rhc client, then type: rhc setup
3.
  
Actual results:
[root@localhost rhc]# rhc setup

Starting Interactive Setup for OpenShift's command line interface

We'll help get you setup with just a couple of questions. You can skip this in the future by copying your config's around:

    /root/.openshift/express.conf
    /root/.ssh/

To connect to int.openshift.redhat.com enter your OpenShift login (email or Red Hat login id): |qgong@redhat.com| 
Password: ******

Configuration file /root/.openshift/express.conf already exists, backing up to /root/.openshift/express.conf.bak

Created local config file: /root/.openshift/express.conf
The express.conf file contains user configuration, and can be transferred to different computers.

We will now check to see if you have the necessary client tools installed.

Checking for git ... needs to be installed

Would you like to install git with the system installer? (yes/no) yes

You may safely continue while the installer is running or you can wait until it has finished.  Press any key to continue:

Checking for your namespace ... found namespace:
    qgong



Expected results:
update that sentence or implement function of install git by rhc setup command


Additional info:
Comment 1 Clayton Coleman 2012-08-21 00:49:21 EDT
Git should be installed when you run that - it sounds like an error or other failure to initialize the launcher.
Comment 2 John (J5) Palmieri 2012-09-10 22:07:16 EDT
Installer was a proof of concept code path.  I should rip out that code since without embedding the packagekit libs it is a hit or miss.
Comment 3 John (J5) Palmieri 2012-10-09 11:40:48 EDT
Removed in git
Comment 4 Rony Gong 2012-10-09 22:05:35 EDT
Verified on fork_ami_US2597_US2599_US2813_US2817_US2872_US2816_US2814_213
and client build from this fork
Steps:
1. uninstall git tool
2.[qgong@localhost rhc2]$ rhc setup

Starting Interactive Setup for OpenShift's command line interface

We'll help get you setup with just a couple of questions. You can skip this in the future by copying your config's around:

    /home/qgong/.openshift/express.conf
    /home/qgong/.ssh/

To connect to ec2-107-22-98-90.compute-1.amazonaws.com enter your OpenShift login (email or Red Hat login id):
|qgong+1@redhat.com| 
Password: 

Configuration file /home/qgong/.openshift/express.conf already exists, backing up to /home/qgong/.openshift/express.conf.bak

Created local config file: /home/qgong/.openshift/express.conf
The express.conf file contains user configuration, and can be transferred to different computers.

We will now check to see if you have the necessary client tools installed.

Checking for git ... needs to be installed

Automated installation of client tools is not supported for your platform. You will need to manually install git for full
OpenShift functionality.

Checking for your namespace ... not found
Your namespace is unique to your account and is the suffix of the public URLs we assign to your applications. You may configure
your namespace here or leave it blank and use 'rhc domain create' to create a namespace later.  You will not be able to create
applications without first creating a namespace.

Please enter a namespace or leave this blank if you wish to skip this step:

Note You need to log in before you can comment on or make changes to this bug.